libatd-ocaml_1.1.2-1_amd64.deb


Advertisement

Description

libatd-ocaml - syntax for cross-language data types in OCaml - plugins

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libatd-ocaml
Package version 1.1.2
Package release 1
Package architecture amd64
Package type deb
Installed size 1.34 KB
Download size 361.24 KB
Official Mirror ftp.br.debian.org
ATD stands for Adjustable Type Definitions. It is a type definition
language designed to accommodate a variety of programming languages and
data formats by the means of target-specific annotations. It supports
sum types, parametrized types and inheritance. The library provides a
parser and other tools useful for manipulating ATD type definitions.
This package contains the shared runtime libraries and plugins.

Alternatives

Package Version Architecture Repository
libatd-ocaml_1.1.2-1_i386.deb 1.1.2 i386 Debian Main
libatd-ocaml - - -

Requires

Name Value
libc6 >= 2.2.5
libeasy-format-ocaml-zd572 -
ocaml-base-nox-4.01.0 -

Provides

Name Value
libatd-ocaml-aeqh9 -

Download

Type URL
Binary Package libatd-ocaml_1.1.2-1_amd64.deb
Source Package ocaml-atd

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libatd-ocaml deb package:
    # sudo apt-get install libatd-ocaml

Files

Path
/usr/lib/ocaml/atd/META
/usr/lib/ocaml/atd/atd.cma
/usr/lib/ocaml/atd/atd.cmxs
/usr/share/doc/libatd-ocaml/changelog.Debian.gz
/usr/share/doc/libatd-ocaml/copyright

Changelog

2014-08-06 - Stéphane Glondu <glondu@debian.org>
ocaml-atd (1.1.2-1) unstable; urgency=medium
* Team upload
* New upstream release
2014-01-31 - Stéphane Glondu <glondu@debian.org>
ocaml-atd (1.1.1-2) unstable; urgency=medium
* Team upload
* Fix package build on bytecode architectures
2014-01-29 - Stéphane Glondu <glondu@debian.org>
ocaml-atd (1.1.1-1) unstable; urgency=medium
* Team upload
* New upstream release
* Bump Standards-Version to 3.9.5
2013-06-06 - Hendrik Tews <hendrik@askra.de>
ocaml-atd (1.0.3-1) unstable; urgency=low
[ Sylvain Le Gall ]
* Remove Sylvain Le Gall from uploaders
[ Hendrik Tews ]
* fix watch file and hompage
* new upstream version
* add myself as uploader
* bump debhelper compat level and standards version
* update package description
* update copyright
* fix patches
- delete old patch
- add makefile.patch for byte compilation and installation of some ml files
- add lintian-allows-to.patch to fix lintian allows warning
- add build-manual-without-install.patch to build manual/atd-manual.html
without prior installation of the atd library
* update rules and other debhelper files
* fix build dependencies
* install pdf version of manual
* enable tests
* rewrite/improve man page
2011-07-11 - Stéphane Glondu <glondu@debian.org>
ocaml-atd (1.0.1-1) unstable; urgency=low
* Team upload
* New upstream release
* Bump Standards-Version to 3.9.2
2010-12-04 - Sylvain Le Gall <gildor@debian.org>
ocaml-atd (0.9.2-2) unstable; urgency=low
* Add doc-base for ATD manual
2010-12-02 - Sylvain Le Gall <gildor@debian.org>
ocaml-atd (0.9.2-1) unstable; urgency=low
* Initial release. (Closes: #605670)

See Also

Package Description
libatdgen-ocaml-dev_1.3.1-1+b1_amd64.deb OCaml code generator for biniou and JSON - executable and dev files
libatdgen-ocaml_1.3.1-1+b1_amd64.deb OCaml code generator for biniou and JSON - plugins
libatfs1_1.4pl6-11_amd64.deb The Attributed File System (AtFS runtime libraries)
libatinject-jsr330-api-java-doc_1.0+ds1-1_all.deb Documentation for libatinject-jsr330-api-java
libatinject-jsr330-api-java_1.0+ds1-1_all.deb Java API for JSR-330 Dependency Injection
libatk-adaptor-data_2.14.0-2_all.deb AT-SPI 2 toolkit bridge - transitional dummy package
libatk-adaptor_2.14.0-2_amd64.deb AT-SPI 2 toolkit bridge
libatk-bridge2.0-0_2.14.0-2_amd64.deb AT-SPI 2 toolkit bridge - shared library
libatk-bridge2.0-dev_2.14.0-2_amd64.deb Development files for the AT-SPI 2 toolkit bridge
libatk-wrapper-java-jni_0.30.5-1_amd64.deb ATK implementation for Java using JNI (JNI bindings)
libatk-wrapper-java_0.30.5-1_all.deb ATK implementation for Java using JNI
libatk1.0-0_2.14.0-1_amd64.deb ATK accessibility toolkit
libatk1.0-data_2.14.0-1_all.deb Common files for the ATK accessibility toolkit
libatk1.0-dev_2.14.0-1_amd64.deb Development files for the ATK accessibility toolkit
libatk1.0-doc_2.14.0-1_all.deb Documentation files for the ATK toolkit
Advertisement
Advertisement